Subject: Re: [PATCH 1/3, net-next] net: netsec: Use page_pool API

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 28 Jun 2019 19:41:09 +0200

On Fri, 28 Jun 2019 20:19:34 +0300
Ilias Apalodimas <[email-masked]> wrote:

> Hi David, 
> 
> > >> Use page_pool and it's DMA mapping capabilities for Rx buffers instead
> > >> of netdev/napi_alloc_frag()
> > >> 
> > >> Although this will result in a slight performance penalty on small sized
> > >> packets (~10%) the use of the API will allow to easily add XDP support.
> > >> The penalty won't be visible in network testing i.e ipef/netperf etc, it
> > >> only happens during raw packet drops.
> > >> Furthermore we intend to add recycling capabilities on the API
> > >> in the future. Once the recycling is added the performance penalty will
> > >> go away.
> > >> The only 'real' penalty is the slightly increased memory usage, since we
> > >> now allocate a page per packet instead of the amount of bytes we need +
> > >> skb metadata (difference is roughly 2kb per packet).
> > >> With a minimum of 4BG of RAM on the only SoC that has this NIC the
> > >> extra memory usage is negligible (a bit more on 64K pages)
> > >> 
> > >> Signed-off-by: Ilias Apalodimas <[email-masked]>
> > >> ---
> > >>  drivers/net/ethernet/socionext/Kconfig  |   1 +
> > >>  drivers/net/ethernet/socionext/netsec.c | 121 +++++++++++++++---------
> > >>  2 files changed, 75 insertions(+), 47 deletions(-)  
> > > 
> > > Acked-by: Jesper Dangaard Brouer <[email-masked]>  
> > 
> > Jesper this is confusing, you just asked if the code needs to be moved
> > around to be correct and then right now immediately afterwards you ACK
> > the patch.
>
> I can answer on the driver, page_pool_free() needs re-arranging
> indeed. I'll fix it and post a V2. I guess Jesper meant
> 'acked-if-fixed' so i can it on V2

Sorry, it was a mistake.  I though I had spotted an issue in 3/3 and
then I wanted to ACK 1/3.   Ilias you can add my ACK in V2, as this was
the only issue I spotted in 1/3.

Sorry for the confusion.

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer